Search issues
Search issues in a project by ranked text over name and description, status, and severity.
GET https://api.sazabi.com/v1/issues/search
Query Parameters
Project to list issues for. Auto-filled from CLI and SDK context when omitted.
uuidMaximum number of issues to return per page.
1 <= value <= 10050Cursor from a previous response's nextCursor to fetch the next page.
uuidFilter by issue status.
Value in
- "open"
- "resolved"
- "ignored"
Filter by severity.
Value in
- "low"
- "medium"
- "high"
- "critical"
Filter by component ID.
uuidReturn only issues that name this GitHub or Bitbucket pull request as a suspected cause.
uriText search over issue name and description: ranked, any word, prefix match on the last word. Text with no searchable words (only numbers or symbols) is a case-insensitive partial match on the issue name.
When true, include raw delivery metadata in each issue.
falseResponse Body
application/json
curl -X GET "https://example.com/issues/search"{ "issues": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "status": "open", "severity": "low", "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "componentName": "string", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "mutedAt": "2019-08-24T14:15:22Z", "muteHitCount": 0, "lastActivityAt": "2019-08-24T14:15:22Z", "lastDeliveredAt": "2019-08-24T14:15:22Z", "locked": true, "redacted": true, "delivery": { "property1": null, "property2": null } } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}